zenilib: FT_Driver_ClassRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_Driver_ClassRec_ Struct Reference

`#include <ftdriver.h>`

## Public Attributes

FT_Face_AttachFunc | attach_file
FT_Face_DoneFunc | done_face
FT_Size_DoneFunc | done_size
FT_Slot_DoneFunc | done_slot
FT_Long | face_object_size
FT_Face_GetAdvancesFunc | get_advances
FT_Face_GetKerningFunc | get_kerning
FT_Face_InitFunc | init_face
FT_Size_InitFunc | init_size
FT_Slot_InitFunc | init_slot
FT_Slot_LoadFunc | load_glyph
FT_Size_RequestFunc | request_size
FT_Module_Class | root
FT_Size_SelectFunc | select_size
FT_Long | size_object_size
FT_Long | slot_object_size

## Detailed Description

Definition at line 182 of file ftdriver.h.

## Member Data Documentation

FT_Face_AttachFunc FT_Driver_ClassRec_::attach_file

Definition at line 209 of file ftdriver.h.

Referenced by FT_Attach_Stream().

FT_Face_DoneFunc FT_Driver_ClassRec_::done_face

Definition at line 191 of file ftdriver.h.

Referenced by destroy_face(), and open_face().

FT_Size_DoneFunc FT_Driver_ClassRec_::done_size

Definition at line 194 of file ftdriver.h.

Referenced by destroy_size().

FT_Slot_DoneFunc FT_Driver_ClassRec_::done_slot

Definition at line 197 of file ftdriver.h.

Referenced by ft_glyphslot_done().

FT_Long FT_Driver_ClassRec_::face_object_size

Definition at line 186 of file ftdriver.h.

Referenced by open_face().

FT_Face_GetAdvancesFunc FT_Driver_ClassRec_::get_advances

Definition at line 210 of file ftdriver.h.

FT_Face_GetKerningFunc FT_Driver_ClassRec_::get_kerning

Definition at line 208 of file ftdriver.h.

Referenced by FT_Get_Kerning().

FT_Face_InitFunc FT_Driver_ClassRec_::init_face

Definition at line 190 of file ftdriver.h.

Referenced by open_face().

FT_Size_InitFunc FT_Driver_ClassRec_::init_size

Definition at line 193 of file ftdriver.h.

Referenced by FT_New_Size().

FT_Slot_InitFunc FT_Driver_ClassRec_::init_slot

Definition at line 196 of file ftdriver.h.

Referenced by ft_glyphslot_init().

FT_Slot_LoadFunc FT_Driver_ClassRec_::load_glyph

Definition at line 206 of file ftdriver.h.

Referenced by FT_Load_Glyph(), and T42_GlyphSlot_Load().

FT_Size_RequestFunc FT_Driver_ClassRec_::request_size

Definition at line 213 of file ftdriver.h.

Referenced by FT_Request_Size().

FT_Module_Class FT_Driver_ClassRec_::root

Definition at line 184 of file ftdriver.h.

FT_Size_SelectFunc FT_Driver_ClassRec_::select_size

Definition at line 214 of file ftdriver.h.

Referenced by FT_Select_Size().

FT_Long FT_Driver_ClassRec_::size_object_size

Definition at line 187 of file ftdriver.h.

Referenced by FT_New_Size().

FT_Long FT_Driver_ClassRec_::slot_object_size

Definition at line 188 of file ftdriver.h.

Referenced by FT_New_GlyphSlot().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/ftdriver.h